# S32 - Upload business documents to associate with a shop

Description

Document filenames must be distinct and there can be only one file per document type.Only documents of the following types are supported: csv, doc, docx, gif, html, jpeg, latex, mp4, odp, odc, odg, ods, odt, pdf, png, pps, ppsx, ppt, pptx, quicktime, rtf, text, tiff, xls, xlsx, xml, zipYou can upload a maximum of 50 business documents for each shop. These documents are not order related documents.


Call Frequency

Recommended usage: At each business document upload to a shop
Maximum usage: 50 business documents per call
Read More

More context

Endpoint: POST /api/shops/documents

## Request fields (multipart/form-data):

  - `files` (array, required)
    Files to upload

  - `shop_documents` (object, required)
    A descriptor associated to the files

  - `shop_documents.shop_documents` (array, required)
    Shop documents

  - `shop_documents.shop_documents.file_name` (string, required)
    File name

  - `shop_documents.shop_documents.type_code` (string, required)
    Document type code

  - `shop_id` (integer, required)
    the shop identifier to add the documents to

## Response 200 fields (application/json):

  - `documents` (array, required)
    List of error reports associated to each document in an error state

  - `documents.errors` (array, required)
    Errors about the input object

  - `documents.errors.code` (string, required)
    Error code

  - `documents.errors.field` (string, required)
    Name of the field on the input object. Can be composed, e.g.: address.zip_code

  - `documents.errors.message` (string, required)
    Error message

  - `errors_count` (integer)
    The number of documents in an error state


